Bug 2044467 (CVE-2022-22824) - CVE-2022-22824 expat: Integer overflow in defineAttribute in xmlparse.c
Summary: CVE-2022-22824 expat: Integer overflow in defineAttribute in xmlparse.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-22824
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2053208 2058582 2044468 2052271 2052272 2052273 2052274 2052275 2052276 2052277 2058583 2058584 2058585 2058586 2058587 2060192 2060197 2060199 2060203 2060208 2060210
Blocks: 2044492
TreeView+ depends on / blocked
 
Reported: 2022-01-24 16:54 UTC by Pedro Sampaio
Modified: 2022-05-17 10:10 UTC (History)
35 users (show)

Fixed In Version: expat 2.4.3
Doc Type: If docs needed, set a value
Doc Text:
expat (libexpat) is susceptible to a software flaw that causes process interruption. When processing a large number of prefixed XML attributes on a single tag can libexpat can terminate unexpectedly due to integer overflow. The highest threat from this vulnerability is to availability, confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2022-05-05 02:15:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:0953 0 None None None 2022-03-16 21:53:19 UTC
Red Hat Product Errata RHBA-2022:0957 0 None None None 2022-03-17 15:58:06 UTC
Red Hat Product Errata RHBA-2022:0959 0 None None None 2022-03-17 17:17:39 UTC
Red Hat Product Errata RHBA-2022:0960 0 None None None 2022-03-17 17:34:00 UTC
Red Hat Product Errata RHBA-2022:0964 0 None None None 2022-03-17 21:26:46 UTC
Red Hat Product Errata RHBA-2022:0965 0 None None None 2022-03-17 21:56:33 UTC
Red Hat Product Errata RHBA-2022:0976 0 None None None 2022-03-21 11:35:04 UTC
Red Hat Product Errata RHBA-2022:0977 0 None None None 2022-03-21 11:36:10 UTC
Red Hat Product Errata RHBA-2022:0978 0 None None None 2022-03-21 11:36:39 UTC
Red Hat Product Errata RHBA-2022:0979 0 None None None 2022-03-21 14:36:55 UTC
Red Hat Product Errata RHBA-2022:0980 0 None None None 2022-03-21 14:44:33 UTC
Red Hat Product Errata RHBA-2022:0981 0 None None None 2022-03-21 14:42:05 UTC
Red Hat Product Errata RHBA-2022:1005 0 None None None 2022-03-22 08:41:32 UTC
Red Hat Product Errata RHBA-2022:1014 0 None None None 2022-03-22 17:10:53 UTC
Red Hat Product Errata RHBA-2022:1031 0 None None None 2022-03-23 11:12:52 UTC
Red Hat Product Errata RHBA-2022:1046 0 None None None 2022-03-24 09:35:37 UTC
Red Hat Product Errata RHBA-2022:1048 0 None None None 2022-03-24 10:42:52 UTC
Red Hat Product Errata RHBA-2022:1057 0 None None None 2022-03-24 16:13:13 UTC
Red Hat Product Errata RHBA-2022:1058 0 None None None 2022-03-24 15:32:21 UTC
Red Hat Product Errata RHBA-2022:1079 0 None None None 2022-03-28 11:32:06 UTC
Red Hat Product Errata RHBA-2022:1085 0 None None None 2022-03-28 18:10:38 UTC
Red Hat Product Errata RHBA-2022:1089 0 None None None 2022-03-29 01:11:39 UTC
Red Hat Product Errata RHBA-2022:1099 0 None None None 2022-03-29 07:42:10 UTC
Red Hat Product Errata RHBA-2022:1100 0 None None None 2022-03-29 07:39:55 UTC
Red Hat Product Errata RHBA-2022:1101 0 None None None 2022-03-29 08:13:25 UTC
Red Hat Product Errata RHBA-2022:1117 0 None None None 2022-03-29 15:05:17 UTC
Red Hat Product Errata RHBA-2022:1118 0 None None None 2022-03-29 15:07:19 UTC
Red Hat Product Errata RHBA-2022:1119 0 None None None 2022-03-29 15:08:24 UTC
Red Hat Product Errata RHBA-2022:1120 0 None None None 2022-03-29 15:11:46 UTC
Red Hat Product Errata RHBA-2022:1121 0 None None None 2022-03-29 15:10:13 UTC
Red Hat Product Errata RHBA-2022:1122 0 None None None 2022-03-29 15:17:46 UTC
Red Hat Product Errata RHBA-2022:1125 0 None None None 2022-03-29 15:36:39 UTC
Red Hat Product Errata RHBA-2022:1126 0 None None None 2022-03-29 19:10:46 UTC
Red Hat Product Errata RHBA-2022:1127 0 None None None 2022-03-29 19:11:38 UTC
Red Hat Product Errata RHBA-2022:1130 0 None None None 2022-03-29 17:45:20 UTC
Red Hat Product Errata RHBA-2022:1131 0 None None None 2022-03-29 18:13:24 UTC
Red Hat Product Errata RHBA-2022:1140 0 None None None 2022-03-30 13:35:38 UTC
Red Hat Product Errata RHBA-2022:1150 0 None None None 2022-03-31 18:41:18 UTC
Red Hat Product Errata RHBA-2022:1172 0 None None None 2022-04-04 08:24:13 UTC
Red Hat Product Errata RHBA-2022:1176 0 None None None 2022-04-04 10:45:16 UTC
Red Hat Product Errata RHBA-2022:1191 0 None None None 2022-04-05 13:28:33 UTC
Red Hat Product Errata RHBA-2022:1258 0 None None None 2022-04-06 17:10:05 UTC
Red Hat Product Errata RHBA-2022:1289 0 None None None 2022-04-11 05:59:45 UTC
Red Hat Product Errata RHBA-2022:1308 0 None None None 2022-04-11 14:50:54 UTC
Red Hat Product Errata RHBA-2022:1319 0 None None None 2022-04-12 11:31:07 UTC
Red Hat Product Errata RHBA-2022:1385 0 None None None 2022-04-18 13:53:56 UTC
Red Hat Product Errata RHBA-2022:1392 0 None None None 2022-04-19 08:56:28 UTC
Red Hat Product Errata RHBA-2022:1434 0 None None None 2022-04-20 06:53:07 UTC
Red Hat Product Errata RHBA-2022:1495 0 None None None 2022-04-21 14:02:37 UTC
Red Hat Product Errata RHBA-2022:1507 0 None None None 2022-04-21 16:14:43 UTC
Red Hat Product Errata RHBA-2022:1608 0 None None None 2022-04-27 07:56:38 UTC
Red Hat Product Errata RHBA-2022:1609 0 None None None 2022-04-27 07:16:11 UTC
Red Hat Product Errata RHBA-2022:1610 0 None None None 2022-04-27 07:17:47 UTC
Red Hat Product Errata RHBA-2022:1611 0 None Waiting on Customer Unassign Compliance Policy of a lot of hosts not possible 2022-05-20 07:32:31 UTC
Red Hat Product Errata RHBA-2022:1612 0 None None None 2022-04-27 07:20:38 UTC
Red Hat Product Errata RHBA-2022:1613 0 None None None 2022-04-27 07:21:25 UTC
Red Hat Product Errata RHBA-2022:1614 0 None None None 2022-04-27 07:23:11 UTC
Red Hat Product Errata RHBA-2022:1615 0 None None None 2022-04-27 07:23:47 UTC
Red Hat Product Errata RHBA-2022:1616 0 None None None 2022-04-27 07:27:14 UTC
Red Hat Product Errata RHSA-2022:0951 0 None None None 2022-03-16 16:16:50 UTC
Red Hat Product Errata RHSA-2022:1069 0 None None None 2022-03-28 11:49:27 UTC

Description Pedro Sampaio 2022-01-24 16:54:18 UTC
defineAttribute in xmlparse.c in Expat (aka libexpat) before 2.4.3 has an integer overflow. 

References:

https://github.com/libexpat/libexpat/pull/539
http://www.openwall.com/lists/oss-security/2022/01/17/3

Comment 1 Pedro Sampaio 2022-01-24 16:54:37 UTC
Created expat tracking bugs for this issue:

Affects: fedora-all [bug 2044468]

Comment 8 errata-xmlrpc 2022-03-16 16:16:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0951 https://access.redhat.com/errata/RHSA-2022:0951

Comment 9 errata-xmlrpc 2022-03-28 11:49:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1069 https://access.redhat.com/errata/RHSA-2022:1069

Comment 10 Product Security DevOps Team 2022-05-05 02:15:25 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-22824


Note You need to log in before you can comment on or make changes to this bug.